require 'printing_press/controller'
require 'printing_press/publishable'
require 'printing_press/version_number'

module PrintingPress
  def self.enabled_for_controller?
    !!printing_press_store[:request_enabled_for_controller]
  end

  def self.enabled_for_controller=(value)
    printing_press_store[:request_enabled_for_controller] = value
  end

	private

  def self.printing_press_store
    Thread.current[:printing_press] ||= {
      :request_enabled_for_controller => true
    }
  end
end

ActiveSupport.on_load(:active_record) do
  include PrintingPress::Model
end

ActiveSupport.on_load(:action_controller) do
  include PrintingPress::Controller
end